XScreenSaver(1)

NAME
ifs - draws spinning, colliding iterated-function-system images

SYNOPSIS
ifs [-display host:display.screen] [-visual visual] [-window] [-root] [-delay number] [-detail number] [-mode mode] [-colors number] [-functions number]

DESCRIPTION
The ifs program draws spinning, colliding iterated-function-system images.

OPTIONS

-visual visual
    Specify which visual to use. Legal values are the name of a visual class, or the id number (decimal or hex) of a specific visual.

-window
    Draw on a newly-created window. This is the default.

-root
    Draw on the root window.

-delay number
    Per-frame delay, in microseconds. Default: 10000

-mode mode
    Colouring mode. 0 = blend, 1 = per-function, 2 = single colour. Default: 0

-colors number
    Number of colours to use. Default: 200

-detail number
    Number of times to iterate each function. Default: 9

-functions number
    Number of functions to be iterated. Default: 3

-ncolors number
    Number of colors. Default: 20.

ENVIRONMENT

DISPLAY
    to get the default host and display number.

XENVIRONMENT
    to get the name of a resource file that overrides the global resources stored in the RESOURCE_MANAGER property.

SEE ALSO
X(1), xscreensaver(1), ifs(1)

COPYRIGHT
Copyright © Chris Le Sueur (thefishface@gmail.com) February 2005 Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the "Software"), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions: The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software. THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE X CONSORTIUM BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

AUTHOR
Chris Le Sueur